> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Search GSTIN by PAN

> Verify a business registered under GST by passing the PAN and state code.



## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/public/pan/search
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/public/pan/search:
    post:
      tags:
        - Public
      summary: Search GSTIN by PAN
      description: >-
        Verify a business registered under GST by passing the PAN and state
        code.
      operationId: searchGstinByPan
      parameters:
        - name: state_code
          in: query
          description: GST state code
          required: true
          schema:
            type: string
            example: '{{state_code}}'
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-accept-cache
          in: header
          description: >-
            Pass true to accept the cached response. If the header is not
            passed, or if false is sent as the value, the request will hit the
            origin.
          required: false
          example: ''
          schema:
            type: boolean
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - pan
              properties:
                pan:
                  type: string
                  description: PAN of the taxpayer
            examples:
              200 Success:
                value:
                  pan: AAACJ2440E
                summary: 200 Success
              200 Success 2:
                value:
                  pan: GSPTN9771G
                summary: 200 Success 2
              NOGSTIN No records found:
                value:
                  pan: AAACS9345K
                summary: NOGSTIN No records found
      responses:
        '200':
          description: 200 Success / 200 Success / NOGSTIN No records found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    anyOf:
                      - type: array
                        items:
                          type: object
                          properties:
                            data:
                              type: object
                              properties:
                                adadr:
                                  type: array
                                  items: {}
                                  example: []
                                ctb:
                                  type: string
                                  example: Private Limited Company
                                ctj:
                                  type: string
                                  example: RANGE I
                                ctjCd:
                                  type: string
                                  example: WS0601
                                dty:
                                  type: string
                                  example: Regular
                                gstin:
                                  type: string
                                  example: 24AAACJ2440E2ZV
                                lgnm:
                                  type: string
                                  example: JOHN DOE PRIVATE LIMITED
                                lstupdt:
                                  type: string
                                  example: 14/04/2018
                                nba:
                                  type: array
                                  items:
                                    type: string
                                    example: Service Provision
                                  example:
                                    - Service Provision
                                pradr:
                                  type: object
                                  properties:
                                    addr:
                                      type: object
                                      properties:
                                        bnm:
                                          type: string
                                          example: ABC Lakeview Tower
                                        bno:
                                          type: string
                                          example: '123'
                                        loc:
                                          type: string
                                          example: Vastrapur
                                        pncd:
                                          type: string
                                          example: '380015'
                                        st:
                                          type: string
                                          example: Opp. Vastrapur Lake
                                        stcd:
                                          type: string
                                          example: Gujarat
                                    ntr:
                                      type: string
                                      example: Service Provision
                                rgdt:
                                  type: string
                                  example: 01/07/2017
                                stj:
                                  type: string
                                  example: Ghatak 9 (Ahmedabad)
                                stjCd:
                                  type: string
                                  example: GJ009
                                sts:
                                  type: string
                                  example: Active
                                tradeNam:
                                  type: string
                                  example: John Doe Private Limited
                        example:
                          - data:
                              adadr: []
                              ctb: Private Limited Company
                              ctj: RANGE I
                              ctjCd: WS0601
                              dty: Regular
                              gstin: 24AAACJ2440E2ZV
                              lgnm: JOHN DOE PRIVATE LIMITED
                              lstupdt: 14/04/2018
                              nba:
                                - Service Provision
                              pradr:
                                addr:
                                  bnm: ABC Lakeview Tower
                                  bno: '123'
                                  loc: Vastrapur
                                  pncd: '380015'
                                  st: Opp. Vastrapur Lake
                                  stcd: Gujarat
                                ntr: Service Provision
                              rgdt: 01/07/2017
                              stj: Ghatak 9 (Ahmedabad)
                              stjCd: GJ009
                              sts: Active
                              tradeNam: John Doe Private Limited
                      - type: object
                        properties:
                          error_code:
                            type: string
                            example: NOGSTIN
                          message:
                            type: string
                            example: No records found
                    example:
                      - data:
                          adadr: []
                          ctb: Private Limited Company
                          ctj: RANGE I
                          ctjCd: WS0601
                          dty: Regular
                          gstin: 24AAACJ2440E2ZV
                          lgnm: JOHN DOE PRIVATE LIMITED
                          lstupdt: 14/04/2018
                          nba:
                            - Service Provision
                          pradr:
                            addr:
                              bnm: ABC Lakeview Tower
                              bno: '123'
                              loc: Vastrapur
                              pncd: '380015'
                              st: Opp. Vastrapur Lake
                              stcd: Gujarat
                            ntr: Service Provision
                          rgdt: 01/07/2017
                          stj: Ghatak 9 (Ahmedabad)
                          stjCd: GJ009
                          sts: Active
                          tradeNam: John Doe Private Limited
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: a4bcca2e-7e82-4eaf-8046-6cd4e8c028c1
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      - data:
                          ctjCd: ''
                          cxdt: '-'
                          dty: Regular
                          einvoiceStatus: 'No'
                          gstin: 33GSPTN9771G1ZR
                          lgnm: NARENDRA KUMAR PAREEK
                          lstupdt: 11/09/2017
                          stjCd: ''
                          sts: Cancelled
                          tradeNam: M/S AJAY GAS CENTRE
                        gstin: 33GSPTN9771G1ZR
                      - data:
                          ctjCd: ''
                          cxdt: '-'
                          dty: Regular
                          einvoiceStatus: 'No'
                          gstin: 33GSPTN9771G2ZQ
                          lgnm: NISAR ALI
                          lstupdt: 11/09/2017
                          stjCd: ''
                          sts: Cancelled
                          tradeNam: ''
                        gstin: 33GSPTN9771G2ZQ
                      - data:
                          ctb: Proprietorship
                          ctj: ''
                          ctjCd: '0101'
                          cxdt: ''
                          dty: Regular
                          einvoiceStatus: 'No'
                          gstin: 33GSPTN9771G3ZP
                          lgnm: Adaequare TN TaxPayer 1 Ltd
                          lstupdt: 06/01/2018
                          rgdt: 01/04/2016
                          stj: ADYAR
                          stjCd: TN001
                          sts: Active
                          tradeNam: Adaequare TN TaxPayer 1 Ltd
                        gstin: 33GSPTN9771G3ZP
                    timestamp: 200
                    transaction_id: a8822161-3bbd-467e-8404-db3e3e489c17
                NOGSTIN No records found:
                  summary: NOGSTIN No records found
                  value:
                    code: 200
                    data:
                      error_code: NOGSTIN
                      message: No records found
                    timestamp: 1763446641000
                    transaction_id: c871a8fa-b8fc-47dd-bd15-9f9c3bacd60e
                200 Success 2:
                  summary: 200 Success 2
                  value:
                    code: 200
                    timestamp: 1776921876217
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    data:
                      - data:
                          stjCd: GJ009
                          dty: Regular
                          stj: Ghatak 9 (Ahmedabad)
                          lgnm: JOHN DOE PRIVATE LIMITED
                          adadr: []
                          gstin: 24AAACJ2440E2ZV
                          nba:
                            - Service Provision
                          lstupdt: 14/04/2018
                          ctb: Private Limited Company
                          rgdt: 01/07/2017
                          pradr:
                            addr:
                              bnm: ABC Lakeview Tower
                              st: Opp. Vastrapur Lake
                              loc: Vastrapur
                              bno: '123'
                              stcd: Gujarat
                              pncd: '380015'
                            ntr: Service Provision
                          ctjCd: WS0601
                          sts: Active
                          tradeNam: John Doe Private Limited
                          ctj: RANGE I
          headers:
            Connection:
              required: false
              description: ''
              schema:
                type: string
                example: keep-alive
            Content-Length:
              required: false
              description: ''
              schema:
                type: string
                example: '150'
            Date:
              required: false
              description: ''
              schema:
                type: string
                example: Mon, 18 Mar 2024 13:32:14 GMT
            X-RateLimit-Limit:
              required: false
              description: ''
              schema:
                type: string
                example: '120'
            X-RateLimit-Remaining:
              required: false
              description: ''
              schema:
                type: string
                example: '119'
            X-RateLimit-Reset:
              required: false
              description: ''
              schema:
                type: string
                example: '1710768793'
            access-control-allow-origin:
              required: false
              description: ''
              schema:
                type: string
                example: '*'
            vary:
              required: false
              description: ''
              schema:
                type: string
                example: Accept-Encoding
            x-amz-apigw-id:
              required: false
              description: ''
              schema:
                type: string
                example: U09OgFGwhcwFpvw=
            x-amzn-Remapped-Connection:
              required: false
              description: ''
              schema:
                type: string
                example: keep-alive
            x-amzn-Remapped-Content-Length:
              required: false
              description: ''
              schema:
                type: string
                example: '150'
            x-amzn-Remapped-Date:
              required: false
              description: ''
              schema:
                type: string
                example: Mon, 18 Mar 2024 13:32:14 GMT
            x-amzn-RequestId:
              required: false
              description: ''
              schema:
                type: string
                example: 1288499a-a730-4c01-bf53-4d0dea56765f
            x-srv-span:
              required: false
              description: ''
              schema:
                type: string
                example: v=1;s=56c7d127ee810319
            x-srv-trace:
              required: false
              description: ''
              schema:
                type: string
                example: v=1;t=02a1a86a4c595f63
      deprecated: false
      security: []

````